#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int l,n,vs,stal,br;
    stal = 0;
    br = 0;
    cin >> n >> l;
    vector<int> visine(n);
    for (int i = 0; i < n; ++i){
        cin >> visine[i];
    }
    for (int i : visine){
        stal++;
        if (i <= l){
            cout << stal << endl;
            return 0;
        }
        else{
            if (stal == n && i > l)
                cout << -1 << endl;
        }
    }
    return 0;
}